High Priest Raymond:
Elven Wizards enjoy a deep connection to the spirits of nature, and practice more powerful and complicated magic than Elven Mystics. These arts include elemental magic, black magic and summoning magic. They command fire and wind to attack enemies, take opponents' lives with black magic, and summon the spirits of mother nature as servitors.
Among Elven Wizards, those who want to study elemental magic become Spellsingers, and those who want to reach the ultimate heights of summoning magic become Elemental Summoners.
Also, to become an Elven Wizard, you must bring back the eternity diamond as proof of your worthiness.
Ask about the eternity diamond
Return